Get event metrics for an experiment run
curl --request GET \
--url https://api.dp1.us.honeyhive.ai/v1/runs/{run_id}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dp1.us.honeyhive.ai/v1/runs/{run_id}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dp1.us.honeyhive.ai/v1/runs/{run_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"event_name": "<string>",
"event_type": "<string>",
"session_id": "<string>",
"metadata": {
"datapoint_id": "<string>"
},
"metrics": {}
}
],
"totalEvents": 123
}Experiments
Get event metrics for an experiment run
Retrieve event metrics from ClickHouse for a specific experiment run
GET
/
v1
/
runs
/
{run_id}
/
metrics
Get event metrics for an experiment run
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Experiment run ID (UUIDv4)
Query Parameters
Date range filter as JSON string
Optional filters to apply (JSON string or array of filter objects)
Was this page helpful?